Subject: Re: bug#69517: [PATCH] Make gnus cache work with group names having '/'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2024 10:42:43 +0200

> Date: Sun, 03 Mar 2024 07:22:29 +0530
> From:  James Thomas via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Tags: patch
> 
> Reproduction steps:
> 
> - Setup Gnus with any group name having a slash ('/') such as
>   "[Gmail]/Drafts" or an Atom feed (they usually have slashes) using the
>   patch in bug#66188.
> 
> - Press '*' on a message in the group.
> 
> - Do (info "(gnus) Creating a Virtual Server")
> 
> - Open the above from the Server buffer; RET on the new group fails.
> 
> A patch is attached. I couldn't find the problematic commit or its
> original branch (where it was a consolidated merge from) but
> 'gnus-use-long-file-names' is apparently not meant for backends: it
> can't even be customized with that 'not-cache' option. I think this is
> the right way to solve it: the other lines removed in this patch are
> even older, but they were never being called due to the above reason.

Eric, could you please review the patch and install if it's okay?

Thanks.